LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
DictionaryEvent Struct Referencepublished

represents a dictionary event. More...

`import"DictionaryEvent.idl";`

Inheritance diagram for DictionaryEvent:

## Public Attributes
short | nEvent
| is the type of event. More...
com::sun::star::linguistic2::XDictionaryEntry | xDictionaryEntry
| is the affected dictionary entry (if any). More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

represents a dictionary event.

This type of event is used by a dictionary to inform its listeners about changes in its properties or its entry list. It consists of an event type and may supply an affected dictionary entry.

See Also
  com::sun::star::linguistic2::XDictionary
  com::sun::star::linguistic2::XDictionaryEventListener
  com::sun::star::lang::EventObject

## Member Data Documentation

short nEvent

is the type of event.

This must be the value of a single flag. No combinations are allowed.

See Also
  com::sun::star::linguistic2::DictionaryEventFlags

com::sun::star::linguistic2::XDictionaryEntry xDictionaryEntry

is the affected dictionary entry (if any).

It must be set if an entry was added or deleted, otherwise it should be empty.

See Also
  com::sun::star::linguistic2::XDictionaryEntry

The documentation for this struct was generated from the following file:

- com/sun/star/linguistic2/DictionaryEvent.idl